import React, { Component } from 'react'
import './index.scss'

export default class Test extends Component {
  render() {
    console.log(this.props);
    return (
      <div className={'test_container'}>
        <p className={'title'}>课 / 后 / 实 / 操</p>
        <p className={'sub_title'}>涵盖完整知识体系，让你掌握实用高效的编程技巧</p>
        <div className={'table_container'}>
          <div className={'table_head'}>
            <span>序号</span>
            <span>实操项目</span>
          </div>
          <div className={'table_body'}>
            {
              this.props.practice.map((item, index)=>{
                return <div key={index}>
                  <div className='stage'>{item.name}</div>
                  {
                    item.questions.map((question, index)=>{
                      return <div key={index} className={'line'}>
                        <span>{index}</span>
                        <div className={'test_name'}>
                          <img src={question.icon} alt=""/>
                          <p>{question.name}</p>
                        </div>
                      </div>
                    })
                  }
                </div>
              })
            }
          </div>
          <div className={'table_bottom'}>
            {
              this.props.allPracticeShow ? (
                <div onClick={()=>this.props.hide(2)}>
                  <p>收起</p>
                  <img src="https://julyedu-cdn.oss-cn-beijing.aliyuncs.com/h5_python_class/shouqi.png" alt=""/>
                </div>
              ) : (
                <div onClick={()=>this.props.show(2)}>
                  <p>展开更多</p>
                  <img src="https://julyedu-cdn.oss-cn-beijing.aliyuncs.com/h5_python_class/zhankai.png" alt=""/>
                </div>
              )
            }
          </div>
        </div>
      </div>
    )
  }
}
